"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var enzyme_1 = require("enzyme");
var update_1 = require("./update");
test("should call `was` function when `watched` has changed", function () {
    var mockWas = jest.fn(jest.fn());
    var wrapper = enzyme_1.mount(React.createElement(update_1.Update, { watched: { test: "123", anotherValue: 333 }, was: mockWas },
        React.createElement("div", null)));
    wrapper.setProps({ watched: { test: "123", anotherValue: 334 } });
    expect(mockWas).toHaveBeenCalled();
});
test("should call `was` function when `watched` has changed for non objects", function () {
    var mockWas = jest.fn(jest.fn());
    var wrapper = enzyme_1.mount(React.createElement(update_1.Update, { watched: "123", was: mockWas },
        React.createElement("div", null)));
    wrapper.setProps({ watched: "124" });
    expect(mockWas).toHaveBeenCalled();
});
test("should not call `was` function when `watched` hasn't changed", function () {
    var mockWas = jest.fn(jest.fn());
    var wrapper = enzyme_1.mount(React.createElement(update_1.Update, { watched: { test: "123", anotherValue: 123 }, was: mockWas },
        React.createElement("div", null)));
    wrapper.setProps({ watched: { test: "123", anotherValue: 123 } });
    expect(mockWas).toHaveBeenCalledTimes(0);
});
test("should get correct `watched` value on change", function () {
    var was = function (prevWatched, nextWatched) {
        expect(prevWatched.anotherValue).toBe(123);
        expect(nextWatched.test).toBe("1234");
    };
    var wrapper = enzyme_1.mount(React.createElement(update_1.Update, { watched: { test: "123", anotherValue: 123 }, was: was },
        React.createElement("div", null)));
    wrapper.setProps({ watched: { test: "1234", anotherValue: 12345, somethingElse: 123456 } });
});
